For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to page URLs.
Skip to content

Search Users

Search User

get

Use the following parameters to search users.

Authorizations
X-Ledger-API-KeystringRequired

If you've set up your API Key when initializing your LAM, you'll need to include it as a header along with the api user header. For more details, see step 5 of the get started documentation.

X-Ledger-API-UserstringRequired

(required) Username of a registered API User

Query parameters
accountinteger · nullableOptional

Returns objects created in the provided account.

Default: null
created_afterstring · date-time · nullableOptional

Returns objects created after the entered date.

Default: nullExample: 2020-09-12T14:15:22Z
created_beforestring · date-time · nullableOptional

Returns objects created before the entered date.

Default: nullExample: 2020-12-13T16:17:28Z
groupinteger · nullableOptional

Lists users who belong to the entered groups.

Default: null
idinteger · nullableOptional

Returns the object corresponding to the entered ID

Default: null
orderstring · enum · nullableOptional

Orders the list of results

Default: nullExample: descPossible values:
order_bystring · nullableOptional

criteria to order by

Default: nullExample: name
pageinteger · min: 1 · nullableOptional

Defines the page number to be fetched.

Default: 1Example: 3
page_sizeinteger · min: -1 · nullableOptional

Defines the number of elements displayed on a page. Must be a positive number with 0 and -1 return a maximum defined in the gate

Default: 20Example: 40
rolestring · enum · nullableOptional

Returns object who hold the selected user role.

Default: nullPossible values:
statusstring · enum · nullableOptional

Returns users who match the selected status.

Default: nullPossible values:
usernamestring · nullableOptional

Returns the object who has the entered username.

Default: null
Responses
200

User search results

application/json
get/users
GET /users HTTP/1.1
X-Ledger-API-Key: YOUR_API_KEY
X-Ledger-API-User: YOUR_API_KEY
Accept: */*
{
  "edges": [
    {
      "cursor": 0,
      "node": {
        "created_by": 5,
        "created_on": "2026-01-01T00:00:00.000Z",
        "id": 1,
        "is_api": false,
        "key_handle": "7920380c812ab0b752b5f04a2561a736f136d9937af542bce149bad075ee25f60f21dad3fa9a8a88bc3fa80a360b3680bb7e1ef6179701e41f9d90fd5f6b475d",
        "last_request": 2,
        "pub_key": "040BAE7B34D9AB3056D575128F24B42D09705FF9CFCD860790DF8147D45888E4C8C9C19AE837298C45CBC595152EA5F43788431F6B4C0017030351C05F6C505FCA",
        "role": "OPERATOR",
        "status": "ACTIVE",
        "user_id": "5CA88C5165CF3640",
        "username": "operator1"
      }
    }
  ],
  "page_info": {
    "count": 1,
    "has_next_page": false
  }
}

Last updated